/*
 * arpalab.h
 *
 *  Created on: 01/04/2014
 *      Author: Usuario
 */

#ifndef ARPALAB_H_
#define ARPALAB_H_

/*****************************************************************************
** Function name:		arpalab_init
**
** Descriptions:		Iniciliza el semaforo de arpalab
**
** parameters:			None
** Returned value:		1: semaforo creado, 0: semaforo no creado
**
*****************************************************************************/
uint8_t arpalab_init (void);

/*****************************************************************************
** Function name:		arpalab_config
**
** Descriptions:		Configura el modulo WiFly con para conectarse a arpalab
**
** parameters:			None
** Returned value:		None
**
*****************************************************************************/
void arpalab_config (void);

/*****************************************************************************
** Function name:		arpalab_GetData
**
** Descriptions:		Consigue un dato de arpalab
**
** parameters:			None
** Returned value:		Valor obtenido
**
*****************************************************************************/
uint16_t arpalab_GetData (void);

/*****************************************************************************
** Function name:		arpalab_SendData
**
** Descriptions:		Envia un dato a arpalab
**
** parameters:			valor
** Returned value:		0: Error 1: OK
**
*****************************************************************************/
uint16_t arpalab_SendData (int num);

#endif /* ARPALAB_H_ */
