/*
 * hmi.h
 *
 *  Created on: 05/05/2014
 *      Author: Alfredo Florencio Jimenez
 */

#ifndef HMI_H_
#define HMI_H_

#define HMI_M_CA "\r\n\r\n Direccion del esclavo (1-247): "
#define HMI_M_CD "\r\n\r\n Consulta datos:\r\n"
#define HMI_M_CV "\r\n\r\n Valor del mando (0-65535): "
#define HMI_M_EC "\r\n\r\n Elige comando:\r\n"
#define HMI_M_MD "\r\n\r\n Modifica datos:\r\n"
#define HMI_M_ML "\r\n\r\n Modbus Master en linea\r\n"
#define HMI_M_MM "\r\n\r\n Hay que desactivar Modbus master\r\n"
#define HMI_M_MN "\r\n Mas registros de los permitidos\r\n"
#define HMI_M_MP "\r\n\r\n Modifica peticion:\r\n"
#define HMI_M_MO "\r\n\r\n Modbus Master en mantenimiento\r\n"
#define HMI_M_MV "\r\n Status 0 o 1 si distinto de 0\r\n"
#define HMI_M_NE "\r\n\r\n No hay registro para peticion\r\n"
#define HMI_M_NP "\r\n\r\n Nueva peticion:\r\n"
#define HMI_M_NR "\r\n\r\n No existen registros del Modbus master\r\n"
#define HMI_M_ON "\r\n Opcion no valida\r\n"
#define HMI_M_OP "\r\n Opcion: "
#define HMI_M_PI "\r\n\r\n Punto donde se instalan: "
#define HMI_M_PM "\r\n\r\n Punto a mostrar: "
#define HMI_M_PN "\r\n\r\n Punto a modificar: "
#define HMI_M_PR "\r\n\r\n Menu Principal:\r\n"
#define HMI_M_PV "\r\n\r\n Valor del punto (0-65535): "
#define HMI_M_RA "\r\n\r\n Direccion del registro (0-65535): "
#define HMI_M_RS "\r\n Registro de datos superado\r\n"
#define HMI_M_RV "\r\n\r\n Numero de registros/status: "
#define HMI_M_SD "\r\n\r\n Modbus Slave con direccion incorrecta\r\n"
#define HMI_M_SL "\r\n\r\n Modbus Slave en linea\r\n"
#define HMI_M_SO "\r\n\r\n Modbus Slave en mantenimiento\r\n"
#define HMI_M_TC "\r\n\r\n Tiempo de ciclo (milisegundos): "
#define HMI_M_VM "\r\n\r\n Cambiar velocidad Modbus Master:\r\n"
#define HMI_M_VS "\r\n\r\n Cambiar velocidad Modbus Slave:\r\n"


#define HMI_O_AM "\r\n <a> Activar / desactivar Master"
#define HMI_O_AS "\r\n <s> Activar / desactivar Slave"
#define HMI_O_BR "\r\n <b> Borrar registro"
#define HMI_O_BT "\r\n <x> Borrar todos los registros"
#define HMI_O_CD "\r\n <d> Consulta datos"
#define HMI_O_CS "\r\n <1> Coil Status"
#define HMI_O_EC "\r\n <c> Envia comandos"
#define HMI_O_HE "\r\n <e> Activar / desactivar escritura en registro de datos"
#define HMI_O_HR "\r\n <3> Holding Register"
#define HMI_O_IR "\r\n <4> Input Register"
#define HMI_O_IS "\r\n <2> Input Status"
#define HMI_O_MD "\r\n <z> Modica datos"
#define HMI_O_MM "\r\n <m> Muestra menu"
#define HMI_O_MR "\r\n <m> Modicar registro"
#define HMI_O_NR "\r\n <n> Nuevo registro"
#define HMI_O_RM "\r\n <r> Registros master"
#define HMI_O_SA "\r\n <k> Cambiar direccion Slave"
#define HMI_O_SM "\r\n <0> Salir del menu"
#define HMI_O_SR "\r\n <s> Siguiente registro"
#define HMI_O_VC "\r\n <v> Velocidad de comunicaciones Modbus Master"
#define HMI_O_VS "\r\n <b> Velocidad de comunicaciones Modbus Slave"
#define HMI_O_V1 "\r\n <1> 9600"
#define HMI_O_V2 "\r\n <2> 19200"
#define HMI_O_V3 "\r\n <3> 38400"
#define HMI_O_WC "\r\n <5> Write Coil Status"
#define HMI_O_WR "\r\n <6> Write Holding Register"


char HMI_RX_BUFF[260];
char WIFLY_RX_BUFF[260];
/*****************************************************************************
** Function name:		hmi_menu
**
** Descriptions:		Imprime el menu principal
**
** Parameters:			Ninguno
** Returned value:		Ninguno
**
*****************************************************************************/
void hmi_menu (void);

/*****************************************************************************
** Function name:		hmi_opcionNoValida
**
** Descriptions:		Imprime mensaje de opcion no valida
**
** Parameters:			Ninguno
** Returned value:		Ninguno
**
*****************************************************************************/
void hmi_opcionNoValida (void);

/*****************************************************************************
** Function name:		hmi_estadoMenu
**
** Descriptions:		Envia la cadena recogida del hmi y la trata en el menu
**                      asignado.
**
** Parameters:			Cadena recogida
** Returned value:		Ninguno
**
*****************************************************************************/
void hmi_estadoMenu (char *par_cadena);

#endif /* HMI_H_ */
