/*
 * led.h
 *
 *  Created on: 04/03/2014
 *      Author: Alfredo Florencio Jiménez
 */

#ifndef LED_H_
#define LED_H_

/* The bit of port 0 that the LPCXpresso LPC13xx LED is connected. */
#define mainLED_BIT  ( 22 )

/*****************************************************************************
** Function name:		led_init
**
** Descriptions:		Inicializa el pin P0_22 para el led
** parameters:          No
** Returned value:		No
**
*****************************************************************************/
void led_init (void);

/*****************************************************************************
** Function name:		led_on
**
** Descriptions:		Enciende el led de la placa LPC1769
** parameters:          No
** Returned value:		No
**
*****************************************************************************/
void led_on (void);

/*****************************************************************************
** Function name:		led_off
**
** Descriptions:		Apaga el led de la placa LPC1769
** parameters:          No
** Returned value:		No
**
*****************************************************************************/
void led_off (void);

/*****************************************************************************
** Function name:		led_toggle
**
** Descriptions:		Cambia el estado del led (apagado-encendido)
** parameters:          No
** Returned value:		No
**
*****************************************************************************/
void led_toggle (void);

#endif /* LED_H_ */
