/*
 * utils.h
 *
 *  Created on: 14/04/2014
 *      Author: Alfredo Florencio Jimenez
 */

#ifndef UTILS_H_
#define UTILS_H_

#define UART_WIFLY 0
#define UART_MDBE  1
#define UART_MDBM  2
#define UART_HMI   3

/* Tiempo de espera para que el wifi pueda conectarse */
#define HMI_TIEMPO_ESPERA 30000


/*****************************************************************************
** Function name:		delayMS
**
** Descriptions:		Espera un numero de milisegundos
**
** parameters:			ms: milisegundos de espera
** Returned value:		none
**
*****************************************************************************/
void delayMS (uint32_t ms);

/*****************************************************************************
** Function name:		parseChunked
**
** Descriptions:		Busca un numero tras chunked
**
** parameters:			None
** Returned value:		valor del numero
**
*****************************************************************************/
uint16_t parseChunked(char *subC, char *text);

/*****************************************************************************
** Function name:		NumAleatorio
**
** Descriptions:		Devuelve un numero aleatorio
**
** parameters:			None
** Returned value:		valor del numero
**
*****************************************************************************/
int NumAleatorio( void );

#endif /* UTILS_H_ */
