/*
 * arpalab.c
 *
 *  Created on: 01/04/2014
 *      Author: Usuario
 */
#include "FreeRTOS.h"
#include "LPC17xx.h"
#include "arpalab.h"
#include "wifly.h"
#include "printUART.h"
#include "stdio.h"
#include "string.h"
#include "stdlib.h"
#include "utils.h"
#include "semphr.h"

extern char TX_BUFF[BUF_LONG];
extern char RX_BUFF[BUF_LONG];
extern uint16_t sizeAsk;

/* Semaforo para controlar el envio y recepcion de arpalab */
xSemaphoreHandle semTarea = NULL;

/*****************************************************************************
** Function name:		arpalab_init
*****************************************************************************/
uint8_t arpalab_init (void)
{
	semTarea = xSemaphoreCreateMutex();
	if (semTarea == NULL)
	{
		return 0;
	}

	return 1;
}

/*****************************************************************************
** Function name:		arpalab_config
*****************************************************************************/
void arpalab_config (void)
{
	xSemaphoreTake( semTarea,  portMAX_DELAY );
	{
		wifly_Reset();
		wifly_configHTTP ();
	}
	xSemaphoreGive( semTarea );
}

/*****************************************************************************
** Function name:		arpalab_GetData
*****************************************************************************/
uint16_t arpalab_GetData (void)
{
	uint16_t ret;

	xSemaphoreTake( semTarea,  portMAX_DELAY );
	{
		//ret = parseChunked("quic", wifly_EnviaGET ("/rest/feed", "www.arpalab.appspot.com"));
		ret = NumAleatorio ();
	}
	xSemaphoreGive( semTarea );

	/* volvemos a modo comando */

	return ret;

}

/*****************************************************************************
** Function name:		arpalab_SendData
*****************************************************************************/
uint16_t arpalab_SendData (int num)
{
	char cadena[BUF_LONG];
	char n[12];
	int val = 0;
	uint16_t ret = 0;

	xSemaphoreTake( semTarea,  portMAX_DELAY );
	{
		val = num + atoi(wifly_RSSI());

		memset(cadena, 0x00, sizeof(BUF_LONG));
		strcat (cadena,"/rest/stats?nid=123456&ip=192.168.0.10&app=test&data=");
		strcat (cadena,itoa(val,n,10));

		if (wifly_EnviaGET (cadena, "www.arpalab.appspot.com") != NULL)
		{
			ret = 1;
		}
	}
	xSemaphoreGive( semTarea );

	return ret;
}

