/*
 * led.c
 *
 *  Created on: 04/03/2014
 *      Author: Alfredo Florencio Jimenez
 */

#include "LPC17xx.h"
#include "led.h"

/*****************************************************************************
** Function name:		led_init
**
** Descriptions:		Inicializa el pin P0_22 para el led
**
*****************************************************************************/
void led_init (void)
{

   /* Initialize P0_22 for the LED. */
   LPC_PINCON->PINSEL1	&= ( ~( 3 << 12 ) );
   LPC_GPIO0->FIODIR |= ( 1 << mainLED_BIT );
}

/*****************************************************************************
** Function name:		led_on
**
** Descriptions:		Enciende el led de la placa LPC1769
**
*****************************************************************************/
void led_on (void)
{
	LPC_GPIO0->FIOSET = (1 << mainLED_BIT);
}

/*****************************************************************************
** Function name:		led_off
**
** Descriptions:		Apaga el led de la placa LPC1769
**
*****************************************************************************/
void led_off (void)
{
	LPC_GPIO0->FIOCLR = (1 << mainLED_BIT);
}

/*****************************************************************************
** Function name:		led_toggle
**
** Descriptions:		Cambia el estado del led (apagado-encendido)
**
*****************************************************************************/
void led_toggle (void)
{
	unsigned long ulLEDState;

	/* Obtain the current P0 state. */
	ulLEDState = LPC_GPIO0->FIOPIN;

	if (ulLEDState & (1 << mainLED_BIT))
	{
		led_off();
	}
	else
	{
		led_on();
	}
}
