/*
 * printUART.c
 *
 *  Created on: 01/04/2014
 *      Author: Usuario
 */
#include "FreeRTOS.h"
#include "LPC17xx.h"
#include "printUART.h"
#include "uart.h"
#include "string.h"
#include "stdlib.h"
#include "semphr.h"


xSemaphoreHandle semaforoPrint = NULL;

/*****************************************************************************
** Function name:		printUART_Text
*****************************************************************************/
void printUART_Text (uint32_t PortNum, char *Buffer)
{
	xSemaphoreTake( semaforoPrint,  portMAX_DELAY );
	{
		UARTSend (PortNum, (uint8_t *)Buffer, strlen(Buffer) );
	}

	xSemaphoreGive( semaforoPrint );
}

/*****************************************************************************
** Function name:		printUART_TextNum
*****************************************************************************/
void printUART_TextNum (uint32_t PortNum,char *Buffer, uint16_t num)
{
	char cadena[64];
	char n[12];

	xSemaphoreTake( semaforoPrint,  portMAX_DELAY );
	{
		strcat(cadena, Buffer);
		strcat(cadena, itoa(num,n,10));
		UARTSend (PortNum, (uint8_t *)cadena, strlen(cadena));
	}
	xSemaphoreGive( semaforoPrint );
}

/*****************************************************************************
** Function name:		printUART_Init
*****************************************************************************/
uint8_t printUART_Init (void)
{
	semaforoPrint = xSemaphoreCreateMutex();
	if (semaforoPrint == NULL)
	{
		return 0;
	}

	return 1;

}

